Package de.gebit.integrity.ui.documentation

## Class IntegrityEObjectHoverProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider
  - - de.gebit.integrity.ui.documentation.IntegrityEObjectHoverProvider

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider`

      public class IntegrityEObjectHoverProvider
      extends org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider

  The custom hover provider.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider

      `org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider.BackAction, org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider.ForwardAction, org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider.HoverControlCreator, org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider.OpenDeclarationAction, org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider.PresenterControlCreator`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider

      `org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider.IInformationControlCreatorProvider, org.eclipse.xtext.ui.editor.hover.IEObjectHoverProvider.IInformationControlCreatorProvider2`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityEObjectHoverProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `hasHover​(org.eclipse.emf.ecore.EObject anObject)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider

      `addLinkListener, addLinkListener, createURI, getDocumentation, getElementLinks, getFirstLine, getHoverControlCreator, getHoverInfo, getHoverInfo, getHoverInfoAsHtml, getInformationPresenterControlCreator, getLabel, getLabelProvider, getStyleSheet, loadStyleSheet`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityEObjectHoverProvider

          public IntegrityEObjectHoverProvider()

  - ### Method Detail

    - #### hasHover

          protected boolean hasHover​(org.eclipse.emf.ecore.EObject anObject)

      Overrides:
        `hasHover` in class `org.eclipse.xtext.ui.editor.hover.html.DefaultEObjectHoverProvider`